#ifndef __IO_H
#define __IO_H

static inline void outportb(unsigned short port,unsigned char val)
{
	 __asm__("outb %%al,%%dx"::"a"(val),"d"(port));
}

static inline unsigned char inportb(unsigned short port)
{
	 unsigned char __ret;
	  __asm__("inb %%dx,%%al":"=a"(__ret):"d"(port));
	   return __ret;
}

#define outb(val,port)	outportb(port,val)
#define inb(port)	inportb(port)

#endif

