#ifndef __INTR_H
#define __INTR_H

typedef struct {
	unsigned short offset_0;
	unsigned short selector;
	unsigned short type;
	unsigned short offset_16;
} gate_desc[256];

extern gate_desc idt;

void set_gate(int n, unsigned long irq_handle, unsigned short type);

#define cli()	__asm__ __volatile__("cli":::"memory")
#define sti()	__asm__ __volatile__("sti":::"memory")

#endif
