%macro irq_init 1
	[GLOBAL _irq%1]
	_irq%1:
		push gs
		push fs
		push es
		push ds
		pusha
		mov ax,0x10
		mov ds,ax
		mov es,ax
		mov al,0x61
		out 0x20,al

		[EXTERN _do_irq%1]
		call _do_irq%1
		popa
		pop ds
		pop es
		pop fs
		pop gs
	iret 
%endmacro
