[BITS 32]

; this starts C kernel
[GLOBAL entry_point]
entry_point:
	cli
	lgdt [gdt_descr]
	lidt [idt_descr]

	jmp .1
	.1:

	; reroute hardware irqs
	call reroute_irqs
	push dword 0
	push dword 0
	push dword 0
	push dword L6

	; calling kernel main function
	[EXTERN __main]
	call __main
hlt 

L6:
	jmp L6

; include files with variety things (-;
%include "inc/descriptors.asm"
%include "inc/irqroute.asm"
%include "inc/irqmacros.asm"
%include "inc/irqinit.asm"

